libvisio::VSDOptionalFillStyle Struct Reference documentation

libvisio::VSDOptionalFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalFillStyle ()
| VSDOptionalFillStyle (const boost::optional< Colour > &fgc, const boost::optional< Colour > &bgc, const boost::optional< unsigned char > &p, const boost::optional< double > &fga, const boost::optional< double > &bga, const boost::optional< Colour > &sfgc, const boost::optional< unsigned char > &shp, const boost::optional< double > &shX, const boost::optional< double > &shY, const boost::optional< long > &qsFc, const boost::optional< long > &qsSc, const boost::optional< long > &qsFm)
| VSDOptionalFillStyle (const VSDOptionalFillStyle &style)
| ~VSDOptionalFillStyle ()
void | override (const VSDOptionalFillStyle &style)

## Public Attributes
boost::optional< Colour > | fgColour
boost::optional< Colour > | bgColour
boost::optional< unsigned char > | pattern
boost::optional< double > | fgTransparency
boost::optional< double > | bgTransparency
boost::optional< Colour > | shadowFgColour
boost::optional< unsigned char > | shadowPattern
boost::optional< double > | shadowOffsetX
boost::optional< double > | shadowOffsetY
boost::optional< long > | qsFillColour
boost::optional< long > | qsShadowColour
boost::optional< long > | qsFillMatrix

## Constructor & Destructor Documentation

## ◆ VSDOptionalFillStyle() [1/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( |  | ) |
| inline

Referenced by override(), and VSDOptionalFillStyle().

## ◆ VSDOptionalFillStyle() [2/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const boost::optional< Colour > & | fgc,
|  | const boost::optional< Colour > & | bgc,
|  | const boost::optional< unsigned char > & | p,
|  | const boost::optional< double > & | fga,
|  | const boost::optional< double > & | bga,
|  | const boost::optional< Colour > & | sfgc,
|  | const boost::optional< unsigned char > & | shp,
|  | const boost::optional< double > & | shX,
|  | const boost::optional< double > & | shY,
|  | const boost::optional< long > & | qsFc,
|  | const boost::optional< long > & | qsSc,
|  | const boost::optional< long > & | qsFm )
| inline

## ◆ VSDOptionalFillStyle() [3/3]

libvisio::VSDOptionalFillStyle::VSDOptionalFillStyle | ( | const VSDOptionalFillStyle & | style | ) |
| inline

## ◆ ~VSDOptionalFillStyle()

libvisio::VSDOptionalFillStyle::~VSDOptionalFillStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ override()

void libvisio::VSDOptionalFillStyle::override | ( | const VSDOptionalFillStyle & | style | ) |
| inline

## Member Data Documentation

## ◆ bgColour

boost::optional<Colour> libvisio::VSDOptionalFillStyle::bgColour

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ bgTransparency

boost::optional<double> libvisio::VSDOptionalFillStyle::bgTransparency

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ fgColour

boost::optional<Colour> libvisio::VSDOptionalFillStyle::fgColour

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ fgTransparency

boost::optional<double> libvisio::VSDOptionalFillStyle::fgTransparency

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ pattern

boost::optional<unsigned char> libvisio::VSDOptionalFillStyle::pattern

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsFillColour

boost::optional<long> libvisio::VSDOptionalFillStyle::qsFillColour

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsFillMatrix

boost::optional<long> libvisio::VSDOptionalFillStyle::qsFillMatrix

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ qsShadowColour

boost::optional<long> libvisio::VSDOptionalFillStyle::qsShadowColour

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowFgColour

boost::optional<Colour> libvisio::VSDOptionalFillStyle::shadowFgColour

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowOffsetX

boost::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetX

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowOffsetY

boost::optional<double> libvisio::VSDOptionalFillStyle::shadowOffsetY

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

## ◆ shadowPattern

boost::optional<unsigned char> libvisio::VSDOptionalFillStyle::shadowPattern

Referenced by override(), VSDOptionalFillStyle(), VSDOptionalFillStyle(), and VSDOptionalFillStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h